Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network246.7.0.0/16
Usable hosts65,534
Subnet mask255.255.0.0
Addresses65,536
Network address
246.7.0.0
Broadcast address
246.7.255.255
First usable
246.7.0.1
Last usable
246.7.255.254
Usable hosts
65,534 (65,536 less the network and broadcast addresses)
Subnet mask
255.255.0.0
Wildcard mask
0.0.255.255 (Cisco ACLs, OSPF)
Prefix length
/16
Type
Reserved 240.0.0.0/4
Future use; not usable on most systems
Old class
E (reserved)
As numbers
Hex F6070000 · Integer 4127653888 to 4127719423
Reverse DNS zone
7.246.in-addr.arpa
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address11110110.00000111..00000000.00000000246.7.0.0
Subnet mask11111111.11111111..00000000.00000000255.255.0.0
Network11110110.00000111..00000000.00000000246.7.0.0
Broadcast11110110.00000111..11111111.11111111246.7.255.255
Split into smaller subnets/26

246.7.0.0/16 makes 1,024 subnets of /26; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1246.7.0.0/26246.7.0.1 to 246.7.0.62246.7.0.6362
2246.7.0.64/26246.7.0.65 to 246.7.0.126246.7.0.12762
3246.7.0.128/26246.7.0.129 to 246.7.0.190246.7.0.19162
4246.7.0.192/26246.7.0.193 to 246.7.0.254246.7.0.25562
5246.7.1.0/26246.7.1.1 to 246.7.1.62246.7.1.6362
6246.7.1.64/26246.7.1.65 to 246.7.1.126246.7.1.12762
7246.7.1.128/26246.7.1.129 to 246.7.1.190246.7.1.19162
8246.7.1.192/26246.7.1.193 to 246.7.1.254246.7.1.25562
9246.7.2.0/26246.7.2.1 to 246.7.2.62246.7.2.6362
10246.7.2.64/26246.7.2.65 to 246.7.2.126246.7.2.12762
11246.7.2.128/26246.7.2.129 to 246.7.2.190246.7.2.19162
12246.7.2.192/26246.7.2.193 to 246.7.2.254246.7.2.25562
13246.7.3.0/26246.7.3.1 to 246.7.3.62246.7.3.6362
14246.7.3.64/26246.7.3.65 to 246.7.3.126246.7.3.12762
15246.7.3.128/26246.7.3.129 to 246.7.3.190246.7.3.19162
16246.7.3.192/26246.7.3.193 to 246.7.3.254246.7.3.25562
17246.7.4.0/26246.7.4.1 to 246.7.4.62246.7.4.6362
18246.7.4.64/26246.7.4.65 to 246.7.4.126246.7.4.12762
19246.7.4.128/26246.7.4.129 to 246.7.4.190246.7.4.19162
20246.7.4.192/26246.7.4.193 to 246.7.4.254246.7.4.25562
21246.7.5.0/26246.7.5.1 to 246.7.5.62246.7.5.6362
22246.7.5.64/26246.7.5.65 to 246.7.5.126246.7.5.12762
23246.7.5.128/26246.7.5.129 to 246.7.5.190246.7.5.19162
24246.7.5.192/26246.7.5.193 to 246.7.5.254246.7.5.25562
25246.7.6.0/26246.7.6.1 to 246.7.6.62246.7.6.6362
26246.7.6.64/26246.7.6.65 to 246.7.6.126246.7.6.12762
27246.7.6.128/26246.7.6.129 to 246.7.6.190246.7.6.19162
28246.7.6.192/26246.7.6.193 to 246.7.6.254246.7.6.25562
29246.7.7.0/26246.7.7.1 to 246.7.7.62246.7.7.6362
30246.7.7.64/26246.7.7.65 to 246.7.7.126246.7.7.12762
31246.7.7.128/26246.7.7.129 to 246.7.7.190246.7.7.19162
32246.7.7.192/26246.7.7.193 to 246.7.7.254246.7.7.25562
33246.7.8.0/26246.7.8.1 to 246.7.8.62246.7.8.6362
34246.7.8.64/26246.7.8.65 to 246.7.8.126246.7.8.12762
35246.7.8.128/26246.7.8.129 to 246.7.8.190246.7.8.19162
36246.7.8.192/26246.7.8.193 to 246.7.8.254246.7.8.25562
37246.7.9.0/26246.7.9.1 to 246.7.9.62246.7.9.6362
38246.7.9.64/26246.7.9.65 to 246.7.9.126246.7.9.12762
39246.7.9.128/26246.7.9.129 to 246.7.9.190246.7.9.19162
40246.7.9.192/26246.7.9.193 to 246.7.9.254246.7.9.25562
41246.7.10.0/26246.7.10.1 to 246.7.10.62246.7.10.6362
42246.7.10.64/26246.7.10.65 to 246.7.10.126246.7.10.12762
43246.7.10.128/26246.7.10.129 to 246.7.10.190246.7.10.19162
44246.7.10.192/26246.7.10.193 to 246.7.10.254246.7.10.25562
45246.7.11.0/26246.7.11.1 to 246.7.11.62246.7.11.6362
46246.7.11.64/26246.7.11.65 to 246.7.11.126246.7.11.12762
47246.7.11.128/26246.7.11.129 to 246.7.11.190246.7.11.19162
48246.7.11.192/26246.7.11.193 to 246.7.11.254246.7.11.25562
49246.7.12.0/26246.7.12.1 to 246.7.12.62246.7.12.6362
50246.7.12.64/26246.7.12.65 to 246.7.12.126246.7.12.12762
51246.7.12.128/26246.7.12.129 to 246.7.12.190246.7.12.19162
52246.7.12.192/26246.7.12.193 to 246.7.12.254246.7.12.25562
53246.7.13.0/26246.7.13.1 to 246.7.13.62246.7.13.6362
54246.7.13.64/26246.7.13.65 to 246.7.13.126246.7.13.12762
55246.7.13.128/26246.7.13.129 to 246.7.13.190246.7.13.19162
56246.7.13.192/26246.7.13.193 to 246.7.13.254246.7.13.25562
57246.7.14.0/26246.7.14.1 to 246.7.14.62246.7.14.6362
58246.7.14.64/26246.7.14.65 to 246.7.14.126246.7.14.12762
59246.7.14.128/26246.7.14.129 to 246.7.14.190246.7.14.19162
60246.7.14.192/26246.7.14.193 to 246.7.14.254246.7.14.25562
61246.7.15.0/26246.7.15.1 to 246.7.15.62246.7.15.6362
62246.7.15.64/26246.7.15.65 to 246.7.15.126246.7.15.12762
63246.7.15.128/26246.7.15.129 to 246.7.15.190246.7.15.19162
64246.7.15.192/26246.7.15.193 to 246.7.15.254246.7.15.25562
65246.7.16.0/26246.7.16.1 to 246.7.16.62246.7.16.6362
66246.7.16.64/26246.7.16.65 to 246.7.16.126246.7.16.12762
67246.7.16.128/26246.7.16.129 to 246.7.16.190246.7.16.19162
68246.7.16.192/26246.7.16.193 to 246.7.16.254246.7.16.25562
69246.7.17.0/26246.7.17.1 to 246.7.17.62246.7.17.6362
70246.7.17.64/26246.7.17.65 to 246.7.17.126246.7.17.12762
71246.7.17.128/26246.7.17.129 to 246.7.17.190246.7.17.19162
72246.7.17.192/26246.7.17.193 to 246.7.17.254246.7.17.25562
73246.7.18.0/26246.7.18.1 to 246.7.18.62246.7.18.6362
74246.7.18.64/26246.7.18.65 to 246.7.18.126246.7.18.12762
75246.7.18.128/26246.7.18.129 to 246.7.18.190246.7.18.19162
76246.7.18.192/26246.7.18.193 to 246.7.18.254246.7.18.25562
77246.7.19.0/26246.7.19.1 to 246.7.19.62246.7.19.6362
78246.7.19.64/26246.7.19.65 to 246.7.19.126246.7.19.12762
79246.7.19.128/26246.7.19.129 to 246.7.19.190246.7.19.19162
80246.7.19.192/26246.7.19.193 to 246.7.19.254246.7.19.25562
81246.7.20.0/26246.7.20.1 to 246.7.20.62246.7.20.6362
82246.7.20.64/26246.7.20.65 to 246.7.20.126246.7.20.12762
83246.7.20.128/26246.7.20.129 to 246.7.20.190246.7.20.19162
84246.7.20.192/26246.7.20.193 to 246.7.20.254246.7.20.25562
85246.7.21.0/26246.7.21.1 to 246.7.21.62246.7.21.6362
86246.7.21.64/26246.7.21.65 to 246.7.21.126246.7.21.12762
87246.7.21.128/26246.7.21.129 to 246.7.21.190246.7.21.19162
88246.7.21.192/26246.7.21.193 to 246.7.21.254246.7.21.25562
89246.7.22.0/26246.7.22.1 to 246.7.22.62246.7.22.6362
90246.7.22.64/26246.7.22.65 to 246.7.22.126246.7.22.12762
91246.7.22.128/26246.7.22.129 to 246.7.22.190246.7.22.19162
92246.7.22.192/26246.7.22.193 to 246.7.22.254246.7.22.25562
93246.7.23.0/26246.7.23.1 to 246.7.23.62246.7.23.6362
94246.7.23.64/26246.7.23.65 to 246.7.23.126246.7.23.12762
95246.7.23.128/26246.7.23.129 to 246.7.23.190246.7.23.19162
96246.7.23.192/26246.7.23.193 to 246.7.23.254246.7.23.25562
97246.7.24.0/26246.7.24.1 to 246.7.24.62246.7.24.6362
98246.7.24.64/26246.7.24.65 to 246.7.24.126246.7.24.12762
99246.7.24.128/26246.7.24.129 to 246.7.24.190246.7.24.19162
100246.7.24.192/26246.7.24.193 to 246.7.24.254246.7.24.25562
101246.7.25.0/26246.7.25.1 to 246.7.25.62246.7.25.6362
102246.7.25.64/26246.7.25.65 to 246.7.25.126246.7.25.12762
103246.7.25.128/26246.7.25.129 to 246.7.25.190246.7.25.19162
104246.7.25.192/26246.7.25.193 to 246.7.25.254246.7.25.25562
105246.7.26.0/26246.7.26.1 to 246.7.26.62246.7.26.6362
106246.7.26.64/26246.7.26.65 to 246.7.26.126246.7.26.12762
107246.7.26.128/26246.7.26.129 to 246.7.26.190246.7.26.19162
108246.7.26.192/26246.7.26.193 to 246.7.26.254246.7.26.25562
109246.7.27.0/26246.7.27.1 to 246.7.27.62246.7.27.6362
110246.7.27.64/26246.7.27.65 to 246.7.27.126246.7.27.12762
111246.7.27.128/26246.7.27.129 to 246.7.27.190246.7.27.19162
112246.7.27.192/26246.7.27.193 to 246.7.27.254246.7.27.25562
113246.7.28.0/26246.7.28.1 to 246.7.28.62246.7.28.6362
114246.7.28.64/26246.7.28.65 to 246.7.28.126246.7.28.12762
115246.7.28.128/26246.7.28.129 to 246.7.28.190246.7.28.19162
116246.7.28.192/26246.7.28.193 to 246.7.28.254246.7.28.25562
117246.7.29.0/26246.7.29.1 to 246.7.29.62246.7.29.6362
118246.7.29.64/26246.7.29.65 to 246.7.29.126246.7.29.12762
119246.7.29.128/26246.7.29.129 to 246.7.29.190246.7.29.19162
120246.7.29.192/26246.7.29.193 to 246.7.29.254246.7.29.25562
121246.7.30.0/26246.7.30.1 to 246.7.30.62246.7.30.6362
122246.7.30.64/26246.7.30.65 to 246.7.30.126246.7.30.12762
123246.7.30.128/26246.7.30.129 to 246.7.30.190246.7.30.19162
124246.7.30.192/26246.7.30.193 to 246.7.30.254246.7.30.25562
125246.7.31.0/26246.7.31.1 to 246.7.31.62246.7.31.6362
126246.7.31.64/26246.7.31.65 to 246.7.31.126246.7.31.12762
127246.7.31.128/26246.7.31.129 to 246.7.31.190246.7.31.19162
128246.7.31.192/26246.7.31.193 to 246.7.31.254246.7.31.25562
129246.7.32.0/26246.7.32.1 to 246.7.32.62246.7.32.6362
130246.7.32.64/26246.7.32.65 to 246.7.32.126246.7.32.12762
131246.7.32.128/26246.7.32.129 to 246.7.32.190246.7.32.19162
132246.7.32.192/26246.7.32.193 to 246.7.32.254246.7.32.25562
133246.7.33.0/26246.7.33.1 to 246.7.33.62246.7.33.6362
134246.7.33.64/26246.7.33.65 to 246.7.33.126246.7.33.12762
135246.7.33.128/26246.7.33.129 to 246.7.33.190246.7.33.19162
136246.7.33.192/26246.7.33.193 to 246.7.33.254246.7.33.25562
137246.7.34.0/26246.7.34.1 to 246.7.34.62246.7.34.6362
138246.7.34.64/26246.7.34.65 to 246.7.34.126246.7.34.12762
139246.7.34.128/26246.7.34.129 to 246.7.34.190246.7.34.19162
140246.7.34.192/26246.7.34.193 to 246.7.34.254246.7.34.25562
141246.7.35.0/26246.7.35.1 to 246.7.35.62246.7.35.6362
142246.7.35.64/26246.7.35.65 to 246.7.35.126246.7.35.12762
143246.7.35.128/26246.7.35.129 to 246.7.35.190246.7.35.19162
144246.7.35.192/26246.7.35.193 to 246.7.35.254246.7.35.25562
145246.7.36.0/26246.7.36.1 to 246.7.36.62246.7.36.6362
146246.7.36.64/26246.7.36.65 to 246.7.36.126246.7.36.12762
147246.7.36.128/26246.7.36.129 to 246.7.36.190246.7.36.19162
148246.7.36.192/26246.7.36.193 to 246.7.36.254246.7.36.25562
149246.7.37.0/26246.7.37.1 to 246.7.37.62246.7.37.6362
150246.7.37.64/26246.7.37.65 to 246.7.37.126246.7.37.12762
151246.7.37.128/26246.7.37.129 to 246.7.37.190246.7.37.19162
152246.7.37.192/26246.7.37.193 to 246.7.37.254246.7.37.25562
153246.7.38.0/26246.7.38.1 to 246.7.38.62246.7.38.6362
154246.7.38.64/26246.7.38.65 to 246.7.38.126246.7.38.12762
155246.7.38.128/26246.7.38.129 to 246.7.38.190246.7.38.19162
156246.7.38.192/26246.7.38.193 to 246.7.38.254246.7.38.25562
157246.7.39.0/26246.7.39.1 to 246.7.39.62246.7.39.6362
158246.7.39.64/26246.7.39.65 to 246.7.39.126246.7.39.12762
159246.7.39.128/26246.7.39.129 to 246.7.39.190246.7.39.19162
160246.7.39.192/26246.7.39.193 to 246.7.39.254246.7.39.25562
161246.7.40.0/26246.7.40.1 to 246.7.40.62246.7.40.6362
162246.7.40.64/26246.7.40.65 to 246.7.40.126246.7.40.12762
163246.7.40.128/26246.7.40.129 to 246.7.40.190246.7.40.19162
164246.7.40.192/26246.7.40.193 to 246.7.40.254246.7.40.25562
165246.7.41.0/26246.7.41.1 to 246.7.41.62246.7.41.6362
166246.7.41.64/26246.7.41.65 to 246.7.41.126246.7.41.12762
167246.7.41.128/26246.7.41.129 to 246.7.41.190246.7.41.19162
168246.7.41.192/26246.7.41.193 to 246.7.41.254246.7.41.25562
169246.7.42.0/26246.7.42.1 to 246.7.42.62246.7.42.6362
170246.7.42.64/26246.7.42.65 to 246.7.42.126246.7.42.12762
171246.7.42.128/26246.7.42.129 to 246.7.42.190246.7.42.19162
172246.7.42.192/26246.7.42.193 to 246.7.42.254246.7.42.25562
173246.7.43.0/26246.7.43.1 to 246.7.43.62246.7.43.6362
174246.7.43.64/26246.7.43.65 to 246.7.43.126246.7.43.12762
175246.7.43.128/26246.7.43.129 to 246.7.43.190246.7.43.19162
176246.7.43.192/26246.7.43.193 to 246.7.43.254246.7.43.25562
177246.7.44.0/26246.7.44.1 to 246.7.44.62246.7.44.6362
178246.7.44.64/26246.7.44.65 to 246.7.44.126246.7.44.12762
179246.7.44.128/26246.7.44.129 to 246.7.44.190246.7.44.19162
180246.7.44.192/26246.7.44.193 to 246.7.44.254246.7.44.25562
181246.7.45.0/26246.7.45.1 to 246.7.45.62246.7.45.6362
182246.7.45.64/26246.7.45.65 to 246.7.45.126246.7.45.12762
183246.7.45.128/26246.7.45.129 to 246.7.45.190246.7.45.19162
184246.7.45.192/26246.7.45.193 to 246.7.45.254246.7.45.25562
185246.7.46.0/26246.7.46.1 to 246.7.46.62246.7.46.6362
186246.7.46.64/26246.7.46.65 to 246.7.46.126246.7.46.12762
187246.7.46.128/26246.7.46.129 to 246.7.46.190246.7.46.19162
188246.7.46.192/26246.7.46.193 to 246.7.46.254246.7.46.25562
189246.7.47.0/26246.7.47.1 to 246.7.47.62246.7.47.6362
190246.7.47.64/26246.7.47.65 to 246.7.47.126246.7.47.12762
191246.7.47.128/26246.7.47.129 to 246.7.47.190246.7.47.19162
192246.7.47.192/26246.7.47.193 to 246.7.47.254246.7.47.25562
193246.7.48.0/26246.7.48.1 to 246.7.48.62246.7.48.6362
194246.7.48.64/26246.7.48.65 to 246.7.48.126246.7.48.12762
195246.7.48.128/26246.7.48.129 to 246.7.48.190246.7.48.19162
196246.7.48.192/26246.7.48.193 to 246.7.48.254246.7.48.25562
197246.7.49.0/26246.7.49.1 to 246.7.49.62246.7.49.6362
198246.7.49.64/26246.7.49.65 to 246.7.49.126246.7.49.12762
199246.7.49.128/26246.7.49.129 to 246.7.49.190246.7.49.19162
200246.7.49.192/26246.7.49.193 to 246.7.49.254246.7.49.25562
201246.7.50.0/26246.7.50.1 to 246.7.50.62246.7.50.6362
202246.7.50.64/26246.7.50.65 to 246.7.50.126246.7.50.12762
203246.7.50.128/26246.7.50.129 to 246.7.50.190246.7.50.19162
204246.7.50.192/26246.7.50.193 to 246.7.50.254246.7.50.25562
205246.7.51.0/26246.7.51.1 to 246.7.51.62246.7.51.6362
206246.7.51.64/26246.7.51.65 to 246.7.51.126246.7.51.12762
207246.7.51.128/26246.7.51.129 to 246.7.51.190246.7.51.19162
208246.7.51.192/26246.7.51.193 to 246.7.51.254246.7.51.25562
209246.7.52.0/26246.7.52.1 to 246.7.52.62246.7.52.6362
210246.7.52.64/26246.7.52.65 to 246.7.52.126246.7.52.12762
211246.7.52.128/26246.7.52.129 to 246.7.52.190246.7.52.19162
212246.7.52.192/26246.7.52.193 to 246.7.52.254246.7.52.25562
213246.7.53.0/26246.7.53.1 to 246.7.53.62246.7.53.6362
214246.7.53.64/26246.7.53.65 to 246.7.53.126246.7.53.12762
215246.7.53.128/26246.7.53.129 to 246.7.53.190246.7.53.19162
216246.7.53.192/26246.7.53.193 to 246.7.53.254246.7.53.25562
217246.7.54.0/26246.7.54.1 to 246.7.54.62246.7.54.6362
218246.7.54.64/26246.7.54.65 to 246.7.54.126246.7.54.12762
219246.7.54.128/26246.7.54.129 to 246.7.54.190246.7.54.19162
220246.7.54.192/26246.7.54.193 to 246.7.54.254246.7.54.25562
221246.7.55.0/26246.7.55.1 to 246.7.55.62246.7.55.6362
222246.7.55.64/26246.7.55.65 to 246.7.55.126246.7.55.12762
223246.7.55.128/26246.7.55.129 to 246.7.55.190246.7.55.19162
224246.7.55.192/26246.7.55.193 to 246.7.55.254246.7.55.25562
225246.7.56.0/26246.7.56.1 to 246.7.56.62246.7.56.6362
226246.7.56.64/26246.7.56.65 to 246.7.56.126246.7.56.12762
227246.7.56.128/26246.7.56.129 to 246.7.56.190246.7.56.19162
228246.7.56.192/26246.7.56.193 to 246.7.56.254246.7.56.25562
229246.7.57.0/26246.7.57.1 to 246.7.57.62246.7.57.6362
230246.7.57.64/26246.7.57.65 to 246.7.57.126246.7.57.12762
231246.7.57.128/26246.7.57.129 to 246.7.57.190246.7.57.19162
232246.7.57.192/26246.7.57.193 to 246.7.57.254246.7.57.25562
233246.7.58.0/26246.7.58.1 to 246.7.58.62246.7.58.6362
234246.7.58.64/26246.7.58.65 to 246.7.58.126246.7.58.12762
235246.7.58.128/26246.7.58.129 to 246.7.58.190246.7.58.19162
236246.7.58.192/26246.7.58.193 to 246.7.58.254246.7.58.25562
237246.7.59.0/26246.7.59.1 to 246.7.59.62246.7.59.6362
238246.7.59.64/26246.7.59.65 to 246.7.59.126246.7.59.12762
239246.7.59.128/26246.7.59.129 to 246.7.59.190246.7.59.19162
240246.7.59.192/26246.7.59.193 to 246.7.59.254246.7.59.25562
241246.7.60.0/26246.7.60.1 to 246.7.60.62246.7.60.6362
242246.7.60.64/26246.7.60.65 to 246.7.60.126246.7.60.12762
243246.7.60.128/26246.7.60.129 to 246.7.60.190246.7.60.19162
244246.7.60.192/26246.7.60.193 to 246.7.60.254246.7.60.25562
245246.7.61.0/26246.7.61.1 to 246.7.61.62246.7.61.6362
246246.7.61.64/26246.7.61.65 to 246.7.61.126246.7.61.12762
247246.7.61.128/26246.7.61.129 to 246.7.61.190246.7.61.19162
248246.7.61.192/26246.7.61.193 to 246.7.61.254246.7.61.25562
249246.7.62.0/26246.7.62.1 to 246.7.62.62246.7.62.6362
250246.7.62.64/26246.7.62.65 to 246.7.62.126246.7.62.12762
251246.7.62.128/26246.7.62.129 to 246.7.62.190246.7.62.19162
252246.7.62.192/26246.7.62.193 to 246.7.62.254246.7.62.25562
253246.7.63.0/26246.7.63.1 to 246.7.63.62246.7.63.6362
254246.7.63.64/26246.7.63.65 to 246.7.63.126246.7.63.12762
255246.7.63.128/26246.7.63.129 to 246.7.63.190246.7.63.19162
256246.7.63.192/26246.7.63.193 to 246.7.63.254246.7.63.25562

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses